Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaManyToOne

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaAttribute
          org.apache.cayenne.jpa.map.JpaRelationship
              org.apache.cayenne.jpa.map.JpaManyToOne

All Implemented Interfaces:
  XMLSerializable

    public class JpaManyToOne

extends JpaRelationship

Field Summary
`protected Collection<JpaJoinColumn>` | `joinColumns`
`protected JpaJoinTable` | `joinTable`
`protected boolean` | `optional`

Fields inherited from class org.apache.cayenne.jpa.map.JpaRelationship
`cascade, fetch, targetEntityName`

Fields inherited from class org.apache.cayenne.jpa.map.JpaAttribute
`name, propertyDescriptor`

Constructor Summary
`JpaManyToOne()`
`JpaManyToOne(javax.persistence.ManyToOne annotation)`

Method Summary
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`Collection<JpaJoinColumn>` | `getJoinColumns()`
`JpaJoinTable` | `getJoinTable()`
`boolean` | `isOptional()`
`boolean` | `isToMany()`
`void` | `setJoinTable(JpaJoinTable joinTable)`
`void` | `setOptional(boolean optional)`

Methods inherited from class org.apache.cayenne.jpa.map.JpaRelationship
`getCascade, getFetch, getTargetEntityName, setCascade, setFetch, setTargetEntityName, toString`

Methods inherited from class org.apache.cayenne.jpa.map.JpaAttribute
`getName, getPropertyDescriptor, setName, setPropertyDescriptor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### optional

    protected boolean optional

### joinColumns

    protected Collection<JpaJoinColumn> joinColumns

### joinTable

    protected JpaJoinTable joinTable

Constructor Detail

### JpaManyToOne

    public JpaManyToOne()

### JpaManyToOne

    public JpaManyToOne(javax.persistence.ManyToOne annotation)

Method Detail

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`
  Specified by:
    `encodeAsXML` in class `JpaAttribute`

### isToMany

    public boolean isToMany()

  Specified by:
    `isToMany` in class `JpaRelationship`

### isOptional

    public boolean isOptional()

### setOptional

    public void setOptional(boolean optional)

### getJoinColumns

    public Collection<JpaJoinColumn> getJoinColumns()

### getJoinTable

    public JpaJoinTable getJoinTable()

### setJoinTable

    public void setJoinTable(JpaJoinTable joinTable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.